# WARNING - Generated by {fusen} from /dev/flat_check_data.Rmd: do not edit by hand

#' A function to verify data integrity
#' 
#' This function will check:
#'  - if the data contains a primary_fur_color column
#'  - if the primary_fur_color contains allowed colors
#' @param data_squirrels dataframe
#' @return A message if the set of data is corect 
#' 
#' @export
#' @examples
#' my_data_squirrels <- readr::read_csv(system.file("nyc_squirrels_sample.csv",package = "squirrels"))
#' 
#' check_squirrel_data_integrity(data_squirrels = my_data_squirrels)
check_squirrel_data_integrity <- function(data_squirrels) {
  
  test_contain_color_col <-
    "primary_fur_color" %in% colnames(data_squirrels)
  
  if (isFALSE(test_contain_color_col)) {
    stop("Data must contain a column named 'primary_fur_color'")
  }
  
  check_primary_color_is_ok(string = unique(data_squirrels$primary_fur_color))
  
  return(message("Everything in the data is ok"))
  
}
